Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Proxy< TRADER_LOCK_TYPE, MAP_LOCK_TYPE > Class Template Reference

`#include <Trader_Interfaces.h>`

Inheritance diagram for TAO_Proxy< TRADER_LOCK_TYPE, MAP_LOCK_TYPE >:

[legend]
Collaboration diagram for TAO_Proxy< TRADER_LOCK_TYPE, MAP_LOCK_TYPE >:

[legend]
List of all members.

## Public Methods
| TAO_Proxy (TAO_Trader< TRADER_LOCK_TYPE, MAP_LOCK_TYPE > &trader)
| ~TAO_Proxy (void)
virtual CosTrading::OfferId | export_proxy (CosTrading::Lookup_ptr, const char *, const CosTrading::PropertySeq &, CORBA::Boolean if_match_all, const char *, const CosTrading::PolicySeq &ACE_ENV_ARG_DECL) throw (CORBA::SystemException, CosTrading::IllegalServiceType, CosTrading::UnknownServiceType, CosTrading::InvalidLookupRef, CosTrading::IllegalPropertyName, CosTrading::PropertyTypeMismatch, CosTrading::ReadonlyDynamicProperty, CosTrading::MissingMandatoryProperty, CosTrading::Proxy::IllegalRecipe, CosTrading::DuplicatePropertyName, CosTrading::DuplicatePolicyName)
virtual void | withdraw_proxy (const char *ACE_ENV_ARG_DECL) throw (CORBA::SystemException, CosTrading::IllegalOfferId, CosTrading::UnknownOfferId, CosTrading::Proxy::NotProxyOfferId)
virtual CosTrading::Proxy::ProxyInfo * | describe_proxy (const char *ACE_ENV_ARG_DECL) throw (CORBA::SystemException, CosTrading::IllegalOfferId, CosTrading::UnknownOfferId, CosTrading::Proxy::NotProxyOfferId)
virtual void | list_proxies (CORBA::ULong, CosTrading::OfferIdSeq *&, CosTrading::OfferIdIterator_ptr &ACE_ENV_ARG_DECL) throw (CORBA::SystemException, CosTrading::NotImplemented)
## Private Methods
void | operator= (const TAO_Proxy< TRADER_LOCK_TYPE, MAP_LOCK_TYPE > &)
| TAO_Proxy (const TAO_Proxy< TRADER_LOCK_TYPE, MAP_LOCK_TYPE > &)
## Private Attributes
TAO_Trader< TRADER_LOCK_TYPE, MAP_LOCK_TYPE > & | trader_

### template<class TRADER_LOCK_TYPE, class MAP_LOCK_TYPE>
class TAO_Proxy< TRADER_LOCK_TYPE, MAP_LOCK_TYPE >

## Constructor & Destructor Documentation

template<class TRADER_LOCK_TYPE, class MAP_LOCK_TYPE>
TAO_Proxy< TRADER_LOCK_TYPE, MAP_LOCK_TYPE >::TAO_Proxy | ( | TAO_Trader< TRADER_LOCK_TYPE, MAP_LOCK_TYPE > & | trader | ) |

template<class TRADER_LOCK_TYPE, class MAP_LOCK_TYPE>
TAO_Proxy< TRADER_LOCK_TYPE, MAP_LOCK_TYPE >::~TAO_Proxy | ( | void |  | ) |

template<class TRADER_LOCK_TYPE, class MAP_LOCK_TYPE>
TAO_Proxy< TRADER_LOCK_TYPE, MAP_LOCK_TYPE >::TAO_Proxy | ( | const TAO_Proxy< TRADER_LOCK_TYPE, MAP_LOCK_TYPE > & |  | ) | `[private]`

## Member Function Documentation

template<class TRADER_LOCK_TYPE, class MAP_LOCK_TYPE>
CosTrading::Proxy::ProxyInfo * TAO_Proxy< TRADER_LOCK_TYPE, MAP_LOCK_TYPE >::describe_proxy | ( | const char * | ACE_ENV_ARG_DECL | ) | throw (CORBA::SystemException, CosTrading::IllegalOfferId, CosTrading::UnknownOfferId, CosTrading::Proxy::NotProxyOfferId)`[virtual]`

template<class TRADER_LOCK_TYPE, class MAP_LOCK_TYPE>
CosTrading::OfferId TAO_Proxy< TRADER_LOCK_TYPE, MAP_LOCK_TYPE >::export_proxy | ( | CosTrading::Lookup_ptr | ,
|  | const char * | ,
|  | const CosTrading::PropertySeq & | ,
|  | CORBA::Boolean | if_match_all,
|  | const char * | ,
|  | const CosTrading::PolicySeq & | ACE_ENV_ARG_DECL
| ) | throw (CORBA::SystemException, CosTrading::IllegalServiceType, CosTrading::UnknownServiceType, CosTrading::InvalidLookupRef, CosTrading::IllegalPropertyName, CosTrading::PropertyTypeMismatch, CosTrading::ReadonlyDynamicProperty, CosTrading::MissingMandatoryProperty, CosTrading::Proxy::IllegalRecipe, CosTrading::DuplicatePropertyName, CosTrading::DuplicatePolicyName)`[virtual]`

template<class TRADER_LOCK_TYPE, class MAP_LOCK_TYPE>
void TAO_Proxy< TRADER_LOCK_TYPE, MAP_LOCK_TYPE >::list_proxies | ( | CORBA::ULong | ,
|  | CosTrading::OfferIdSeq *& | ,
|  | CosTrading::OfferIdIterator_ptr & | ACE_ENV_ARG_DECL
| ) | throw (CORBA::SystemException, CosTrading::NotImplemented)`[virtual]`

template<class TRADER_LOCK_TYPE, class MAP_LOCK_TYPE>
void TAO_Proxy< TRADER_LOCK_TYPE, MAP_LOCK_TYPE >::operator= | ( | const TAO_Proxy< TRADER_LOCK_TYPE, MAP_LOCK_TYPE > & |  | ) | `[private]`

template<class TRADER_LOCK_TYPE, class MAP_LOCK_TYPE>
void TAO_Proxy< TRADER_LOCK_TYPE, MAP_LOCK_TYPE >::withdraw_proxy | ( | const char * | ACE_ENV_ARG_DECL | ) | throw (CORBA::SystemException, CosTrading::IllegalOfferId, CosTrading::UnknownOfferId, CosTrading::Proxy::NotProxyOfferId)`[virtual]`

## Member Data Documentation

template<class TRADER_LOCK_TYPE, class MAP_LOCK_TYPE>
TAO_Trader<TRADER_LOCK_TYPE,MAP_LOCK_TYPE>& TAO_Proxy< TRADER_LOCK_TYPE, MAP_LOCK_TYPE >::trader_`[private]`

The documentation for this class was generated from the following files:

- Trader_Interfaces.h
- Trader_Interfaces.cpp